[PATCH] libosmo-sccp[master]: jenkins.sh: Proper error message if local environment isn't ...

This is merely a historical archive of years 2008-2021, before the migration to mailman3.

A maintained and still updated list archive can be found at https://lists.osmocom.org/hyperkitty/list/gerrit-log@lists.osmocom.org/.

Harald Welte gerrit-no-reply at lists.osmocom.org
Mon Jul 10 13:01:24 UTC 2017


Review at  https://gerrit.osmocom.org/3167

jenkins.sh: Proper error message if local environment isn't set up

Change-Id: I79c2302365824d9c8783dadfa378c8eaa07e2ee7
---
M contrib/jenkins.sh
1 file changed, 7 insertions(+), 0 deletions(-)


  git pull ssh://gerrit.osmocom.org:29418/libosmo-sccp refs/changes/67/3167/1

diff --git a/contrib/jenkins.sh b/contrib/jenkins.sh
index 897c464..38c1134 100755
--- a/contrib/jenkins.sh
+++ b/contrib/jenkins.sh
@@ -1,4 +1,11 @@
 #!/usr/bin/env bash
+# jenkins build helper script for libosmo-sccp.  This is how we build on jenkins.osmocom.org
+
+if ! [ -x "$(command -v osmo-build-dep.sh)" ]; then
+	echo "Error: We need to have scripts/osmo-deps.sh from http://git.osmocom.org/osmo-ci/ in PATH !"
+	exit 2
+fi
+
 
 set -ex
 

-- 
To view, visit https://gerrit.osmocom.org/3167
To unsubscribe, visit https://gerrit.osmocom.org/settings

Gerrit-MessageType: newchange
Gerrit-Change-Id: I79c2302365824d9c8783dadfa378c8eaa07e2ee7
Gerrit-PatchSet: 1
Gerrit-Project: libosmo-sccp
Gerrit-Branch: master
Gerrit-Owner: Harald Welte <laforge at gnumonks.org>



More information about the gerrit-log mailing list